Website Monitoring - Bug #662

Connection using a proxy does not use correct host
10/09/2013 06:34 PM - Luke Murphey

Status: Closed Start date: 10/09/2013
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.8

Description

History

#1 - 10/09/2013 06:42 PM - Luke Murphey

This looks like this is working correctly after all.
The initial CONNECT call uses the IP address only:

CONNECT 173.255.231.182:80 HTTP/1.1
Host: 173.255.231.182

However, the GET call that follows correctly assigns a Host header with the domain:

GET / HTTP/1.1

Host: lukemurphey.net

accept-encoding: gzip, deflate
user—agent: Python-httplib2/0.7.0 (gzip)

This returns the correct website (a Redmine instance at LukeMurphey.net):

HTTP/1.1 200 OK

Date: Wed, 09 Oct 2013 18:39:52 GMT

Server: Apache/2.2.14 (Ubuntu)

X-Powered-By: Phusion Passenger (mod_rails/mod_rack) 2.2.7

X-Rack-Cache: miss

X-UA-Compatible: IE=Edge,chrome=1

X-Request-Id: 06277ea005025fc96bc92eb40e57fecad

ETag: "560850044b35e014c68fl18abeecdaeb"

Cache-Control: max—-age=0, private, must-revalidate

X-Runtime: 0.074966

Set-Cookie: _redmine_session=BAh7ByIPc2Vzc2lvbl9pZCI1ZTZkM2EQOOTJJjOGQzM2YzOWViODFmMNJRINTRJZDY3O0GQiEF9jc3JImX3Rva
2VUuIjErWV1kVTA2ZE9KTC91UlcvRVAKQk SUUkpXTUNWY 1FgdVhGREZvavVZ0SnBVPQ%$3D%$3D--e61aaf7a51937b5£0494db6£d0a2768b62503
67e; path=/; HttpOnly

Status: 200

Vary: Accept-Encoding

Content-Type: text/html; charset=utf-8

Content-length: 5773
#2 - 10/09/2013 06:46 PM - Luke Murphey
- Status changed from New to Resolved

- % Done changed from 0 to 80
#3 - 10/30/2013 10:17 PM - Luke Murphey

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

04/19/2024

22


http://www.tcpdf.org

